---
title: "List workflows"
description: "List workflows — Spinrun Build REST API operation."
url: https://docs.spinrun.ai/api/workflows/list-workflows
markdown_url: https://docs.spinrun.ai/api/workflows/list-workflows.md
---

# List workflows

List workflows — Spinrun Build REST API operation.

## GET /api/build/workflows

List workflows

Operation id: `listWorkflows`

### Responses

| Status | Description |
|---|---|
| 200 | Workflows visible to the token. |
| 401 | No or invalid token. The `WWW-Authenticate` header names the authorization server. |
| 403 | The grant has no Build authorization. |

#### 200 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "slug": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "enabled": {
            "type": "boolean"
          },
          "version": {
            "type": "number"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "slug",
          "name",
          "enabled",
          "version",
          "updated_at"
        ],
        "additionalProperties": false
      }
    }
  },
  "required": [
    "data"
  ],
  "additionalProperties": false
}
```

#### 401 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```

#### 403 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```
